clan::Pointf Class Reference - ClanLib SDK
Description: clan::Pointf Class Reference

Public Member Functions | List of all members
clan::Pointf Class Reference
clanCore Math

2D (x,y) point structure - Float More...

`#include <point.h>`

Inheritance diagram for clan::Pointf:

## Public Member Functions
| Pointf ()
| Pointf (const Pointx< float > &p)
| Pointf (const Vec2< float > &p)
| Pointf (float x, float y)
Public Member Functions inherited from clan::Pointx< float >
| Pointx ()
| Pointx (const Pointx< float > &p)
| Pointx (const Vec2< float > &p)
| Pointx (float x, float y)
Public Member Functions inherited from clan::Vec2< float >
| Vec2 ()
| Vec2 (const float &p1, const float &p2)
| Vec2 (const float &scalar)
| Vec2 (const float *array_xy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< double > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< float > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec2< int > &copy)
| Vec2 (const Vec3< float > &copy)
| Vec2 (const Vec4< float > &copy)
Angle | angle (const Vec2< float > &vector) const
| Calculate the angle between this vector and an other vector.
Angle | angle_line (const Vec2< float > &point) const
| Calculate the angle of the line joining this point and other point.
Angle | angle_normed (const Vec2< float > &vector) const
| Calculate the angle between this vector and an other vector, where the vectors are unit vectors.
float | distance (const Vec2< float > &vector) const
| Calculate the distance between this vector and an other vector.
float | dot (const Vec2< float > &vector) const
| Dot products this vector with an other vector.
bool | is_equal (const Vec2< float > &other, float epsilon) const
| Returns true if equal within the bounds of an epsilon.
float | length () const
| Returns the length (magnitude) of this vector.
double | length () const
float | length () const
Vec2< float > & | normalize ()
| Normalizes this vector.
bool | operator!= (const Vec2< float > &vector) const
| != operator.
void | operator*= (const Vec2< float > &vector)
| *= operator.
void | operator*= (float value)
| *= operator.
void | operator+= (const Vec2< float > &vector)
| += operator.
void | operator+= (float value)
| += operator.
Vec2< float > | operator- () const
| operator.
void | operator-= (const Vec2< float > &vector)
| -= operator.
void | operator-= (float value)
| -= operator.
void | operator/= (const Vec2< float > &vector)
| /= operator.
void | operator/= (float value)
| /= operator.
bool | operator< (const Vec2< float > &vector) const
| < operator.
Vec2< float > & | operator= (const Vec2< float > &vector)
| = operator.
bool | operator== (const Vec2< float > &vector) const
| == operator.
Vec2< float > & | rotate (const Vec2< float > &hotspot, const Angle &angle)
| Rotate this vector around another point.
Vec2< float > & | round ()
| Rounds all components of this vector.
float | round_value (float value) const
| Rounds a value for the datatype.

## Additional Inherited Members
Public Types inherited from clan::Vec2< float >
typedef float | datatype
Static Public Member Functions inherited from clan::Vec2< float >
static Pointx< float > | calc_origin (Origin origin, const Sizex< float > &size)
| Returns the anchor point for the origin within the dimensions of the size structure.
static float | dot (const Vec2< float > &vector_1, const Vec2< float > &vector_2)
| Dot products a vector with an other vector.
static bool | is_equal (const Vec2< float > &first, const Vec2< float > &second, float epsilon)
| Returns true if equal within the bounds of an epsilon.
static Vec2< float > | normalize (const Vec2< float > &vector)
| Normalizes a vector.
static Vec2< float > | rotate (const Vec2< float > &vector, const Vec2< float > &hotspot, const Angle &angle)
| Rotate a vector around another point.
static Vec2< float > | round (const Vec2< float > &vector)
| Rounds all components on a vector.
Public Attributes inherited from clan::Vec2< float >
union { |
Type r |
Type s |
Type x |
}; |  |
union { |
Type g |
Type t |
Type y |
}; |  |
float | g
float | r
float | s
float | t
float | x
float | y

## Detailed Description

2D (x,y) point structure - Float

## Constructor & Destructor Documentation

## ◆ Pointf() [1/4]

clan::Pointf::Pointf | ( |  | ) |
| inline

## ◆ Pointf() [2/4]

clan::Pointf::Pointf | ( | float | x,
|  | float | y )
| inline

## ◆ Pointf() [3/4]

clan::Pointf::Pointf | ( | const Pointx< float > & | p | ) |
| inline

## ◆ Pointf() [4/4]

clan::Pointf::Pointf | ( | const Vec2< float > & | p | ) |
| inline

The documentation for this class was generated from the following file:

- point.h